Create a new metadata descriptor. It serves to describe extra fields listed in the data attribute of entities.
Body
Required
-
Entity type for the metadata descriptor
Values are
Asset,Shot,Edit,Episode, orSequence. Default value isAsset. -
Name of the metadata descriptor
-
Type of data (string, number, boolean, etc.)
-
Whether the descriptor is for client
Default value is
False. -
List of choices for the descriptor
-
List of departments for the descriptor
POST
/data/projects/{project_id}/metadata-descriptors
curl
curl -X POST "http://api.example.com/data/projects/a24a6ea4-ce75-4665-a070-57453082c25/metadata-descriptors" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-d '{
"entity_type": "Asset",
"name": "Custom Field",
"data_type": "string",
"for_client": "True",
"choices": [
"option1",
"option2"
],
"departments": [
"department1",
"department2"
]
}'
import requests
url = "http://api.example.com/data/projects/a24a6ea4-ce75-4665-a070-57453082c25/metadata-descriptors"
headers = {
"Authorization": "Bearer YOUR_API_TOKEN",
"Accept": "application/json",
"Content-Type": "application/json"
}
params = {}
payload = {
"entity_type": "Asset",
"name": "Custom Field",
"data_type": "string",
"for_client": "True",
"choices": [
"option1",
"option2"
],
"departments": [
"department1",
"department2"
]
}
response = requests.post(
url,
headers=headers,
params=params,
json=payload
)
response.raise_for_status()
if response.content:
print(response.json())
curl \
--request POST 'http://api.example.com/data/projects/a24a6ea4-ce75-4665-a070-57453082c25/metadata-descriptors' \
--header "Authorization: $API_KEY" \
--header "Content-Type: application/json" \
--data '{"entity_type":"Asset","name":"Custom Field","data_type":"string","for_client":"True","choices":["option1","option2"],"departments":["department1","department2"]}'
Request examples
{
"entity_type": "Asset",
"name": "Custom Field",
"data_type": "string",
"for_client": "True",
"choices": [
"option1",
"option2"
],
"departments": [
"department1",
"department2"
]
}
Response examples (201)
{
"id": "a24a6ea4-ce75-4665-a070-57453082c25",
"name": "Custom Field",
"data_type": "string"
}